Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## profiles
Class TextMessage

    java.lang.Object
      |
      +--profiles.TextMessage

All Implemented Interfaces:
  Message

public class TextMessage
extends java.lang.Object
implements Message

L'implementazione di un Message che contiene solo testo.

Version:
  1.0
Author:
  Lorenzo Moretti

Field Summary
`(package private) java.lang.String` | `msg`
`(package private) java.util.Vector` | `route`
`(package private) java.lang.String` | `src`
`(package private) int` | `type`

Fields inherited from interface profiles.Message
`RT_REQ, RT_SND, USR_MSG`

Constructor Summary
`TextMessage(java.lang.String msg, java.lang.String src, int type)`

Method Summary
`static TextMessage` | `fromString(java.lang.String str)` Ricostruisce l'oggetto da una stringa.
`java.lang.Object` | `getMessage()` Restituisce il contenuto del messaggio.
`java.util.Vector` | `getRoute()` Restituisce un percorso per un per raggiungere il destinatario.
`java.lang.String` | `getSrcDevice()` Ottiene il mittente.
`int` | `getType()` Deve restituire una delle costanti presentati sopra.
`void` | `setRoute(java.util.Vector l)` Reimposta il percorso per un messaggio.
`java.lang.String` | `toString()` Serializza l'oggetto in una stringa.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### msg

    java.lang.String msg

### src

    java.lang.String src

### route

    java.util.Vector route

### type

    int type

Constructor Detail

### TextMessage

    public TextMessage(java.lang.String msg,
                       java.lang.String src,
                       int type)

Method Detail

### getRoute

    public java.util.Vector getRoute()

  Description copied from interface: `Message`
  Restituisce un percorso per un per raggiungere il destinatario. Il percorso è espresso come una lista di URL (rappresentati come stringhe).

  Specified by:
    `getRoute` in interface `Message`
  Returns:
    il percorso per il destinatario.

### setRoute

    public void setRoute(java.util.Vector l)

  Description copied from interface: `Message`
  Reimposta il percorso per un messaggio.

  Specified by:
    `setRoute` in interface `Message`
  Parameters:
    `l` -

### getSrcDevice

    public java.lang.String getSrcDevice()

  Description copied from interface: `Message`
  Ottiene il mittente. Il mittente è espresso come id (URL).

  Specified by:
    `getSrcDevice` in interface `Message`
  Returns:
    il mittente del messaggio.

### getMessage

    public java.lang.Object getMessage()

  Description copied from interface: `Message`
  Restituisce il contenuto del messaggio.

  Specified by:
    `getMessage` in interface `Message`
  Returns:
    il contenuto del messaggio.

### getType

    public int getType()

  Description copied from interface: `Message`
  Deve restituire una delle costanti presentati sopra.

  Specified by:
    `getType` in interface `Message`
  Returns:
    il tipo di messaggio.
  See Also:
    `Message`

### toString

    public java.lang.String toString()

  Serializza l'oggetto in una stringa. TextMessage è in grado di ricostruire l'oggetto tramite il metodo statico fromString().

  Specified by:
    `toString` in interface `Message`
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
  See Also:
    `TextMessage.fromString`

### fromString

    public static TextMessage fromString(java.lang.String str)

  Ricostruisce l'oggetto da una stringa.

  Parameters:
    `str` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD